import { Sprinkles } from '../../css/sprinkles.css';
import { ClassValue } from 'clsx';
import React from 'react';
export type BoxProps = Sprinkles & React.PropsWithChildren & Omit<React.AllHTMLAttributes<HTMLElement>, 'color' | 'height' | 'width' | 'className'> & {
    as?: React.ElementType;
    cssClass?: ClassValue | ClassValue[];
    hiddenScroll?: boolean;
};
export type PaddingProps = {
    padding?: BoxProps['p'];
    paddingTop?: BoxProps['p'];
    paddingRight?: BoxProps['p'];
    paddingBottom?: BoxProps['p'];
    paddingLeft?: BoxProps['p'];
    p?: BoxProps['p'];
    px?: BoxProps['px'];
    py?: BoxProps['py'];
};
export declare const Box: React.ForwardRefExoticComponent<{
    backgroundColor?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "nested" | "default" | "raised" | "elevated" | "scrim" | "good" | "caution" | "informative" | "weak" | "inherit" | "black" | "white" | "contentModerate" | "contentStrong" | "contentBad" | "contentGood" | "contentCaution" | "contentInformative" | "secondaryEnabled" | "secondarySelected" | "secondarySelectedHover" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | {
        default?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "nested" | "default" | "raised" | "elevated" | "scrim" | "good" | "caution" | "informative" | "weak" | "inherit" | "black" | "white" | "contentModerate" | "contentStrong" | "contentBad" | "contentGood" | "contentCaution" | "contentInformative" | "secondaryEnabled" | "secondarySelected" | "secondarySelectedHover" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | undefined;
        hover?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "nested" | "default" | "raised" | "elevated" | "scrim" | "good" | "caution" | "informative" | "weak" | "inherit" | "black" | "white" | "contentModerate" | "contentStrong" | "contentBad" | "contentGood" | "contentCaution" | "contentInformative" | "secondaryEnabled" | "secondarySelected" | "secondarySelectedHover" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | undefined;
    } | undefined;
    border?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    borderTop?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    borderRight?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    borderBottom?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    borderLeft?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    borderColor?: "inherit" | "black" | "white" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | {
        default?: "inherit" | "black" | "white" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | undefined;
        hover?: "inherit" | "black" | "white" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | undefined;
    } | undefined;
    borderStyle?: "hidden" | "solid" | {
        default?: "hidden" | "solid" | undefined;
        hover?: "hidden" | "solid" | undefined;
    } | undefined;
    borderWidth?: "small" | "medium" | "large" | {
        default?: "small" | "medium" | "large" | undefined;
        hover?: "small" | "medium" | "large" | undefined;
    } | undefined;
    boxShadow?: "small" | "medium" | "innerPrimary" | "innerSecondary" | {
        default?: "small" | "medium" | "innerPrimary" | "innerSecondary" | undefined;
        hover?: "small" | "medium" | "innerPrimary" | "innerSecondary" | undefined;
    } | undefined;
    color?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "default" | "good" | "caution" | "bad" | "informative" | "strong" | "moderate" | "weak" | "inherit" | "black" | "white" | "secondaryEnabled" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | "primaryContentOnEnabled" | "primaryContentOnDisabled" | "primaryContentText" | "secondaryContentOnEnabled" | "secondaryContentOnDisabled" | "secondaryContentText" | {
        default?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "default" | "good" | "caution" | "bad" | "informative" | "strong" | "moderate" | "weak" | "inherit" | "black" | "white" | "secondaryEnabled" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | "primaryContentOnEnabled" | "primaryContentOnDisabled" | "primaryContentText" | "secondaryContentOnEnabled" | "secondaryContentOnDisabled" | "secondaryContentText" | undefined;
        hover?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "default" | "good" | "caution" | "bad" | "informative" | "strong" | "moderate" | "weak" | "inherit" | "black" | "white" | "secondaryEnabled" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | "primaryContentOnEnabled" | "primaryContentOnDisabled" | "primaryContentText" | "secondaryContentOnEnabled" | "secondaryContentOnDisabled" | "secondaryContentText" | undefined;
    } | undefined;
    textTransform?: "none" | "capitalize" | "lowercase" | "uppercase" | {
        default?: "none" | "capitalize" | "lowercase" | "uppercase" | undefined;
        hover?: "none" | "capitalize" | "lowercase" | "uppercase" | undefined;
    } | undefined;
    background?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "nested" | "default" | "raised" | "elevated" | "scrim" | "good" | "caution" | "informative" | "weak" | "inherit" | "black" | "white" | "contentModerate" | "contentStrong" | "contentBad" | "contentGood" | "contentCaution" | "contentInformative" | "secondaryEnabled" | "secondarySelected" | "secondarySelectedHover" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | {
        default?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "nested" | "default" | "raised" | "elevated" | "scrim" | "good" | "caution" | "informative" | "weak" | "inherit" | "black" | "white" | "contentModerate" | "contentStrong" | "contentBad" | "contentGood" | "contentCaution" | "contentInformative" | "secondaryEnabled" | "secondarySelected" | "secondarySelectedHover" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | undefined;
        hover?: "primaryHover" | "primaryPressed" | "primaryDisabled" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "nested" | "default" | "raised" | "elevated" | "scrim" | "good" | "caution" | "informative" | "weak" | "inherit" | "black" | "white" | "contentModerate" | "contentStrong" | "contentBad" | "contentGood" | "contentCaution" | "contentInformative" | "secondaryEnabled" | "secondarySelected" | "secondarySelectedHover" | "primaryEnabled" | "n1" | "n2" | "n3" | "n4" | "n5" | "n6" | "n7" | "n8" | "n9" | "n10" | "n11" | "n12" | "p1" | "p2" | "p3" | "p4" | "p5" | "p6" | "p7" | "p8" | "p9" | "p10" | "p11" | "p12" | "r1" | "r2" | "r3" | "r4" | "r5" | "r6" | "r7" | "r8" | "r9" | "r10" | "r11" | "r12" | "g1" | "g2" | "g3" | "g4" | "g5" | "g6" | "g7" | "g8" | "g9" | "g10" | "g11" | "g12" | "y1" | "y2" | "y3" | "y4" | "y5" | "y6" | "y7" | "y8" | "y9" | "y10" | "y11" | "y12" | "lb100" | "lb300" | "lb500" | "lb700" | "g100" | "g500" | "red500" | "orange500" | "teal500" | undefined;
    } | undefined;
    bt?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    br?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    bb?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    bl?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | {
        default?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
        hover?: ("none" | "primary" | "primaryHover" | "primaryPressed" | "primaryDisabled" | "error" | "secondary" | "secondaryHover" | "secondaryPressed" | "secondaryDisabled" | "secondaryInner" | "divider" | "dividerWeak" | "dividerStrong") | undefined;
    } | undefined;
    shadow?: "small" | "medium" | "innerPrimary" | "innerSecondary" | {
        default?: "small" | "medium" | "innerPrimary" | "innerSecondary" | undefined;
        hover?: "small" | "medium" | "innerPrimary" | "innerSecondary" | undefined;
    } | undefined;
} & {
    alignItems?: "stretch" | "center" | "flex-end" | "flex-start" | undefined;
    alignSelf?: "stretch" | "center" | "flex-end" | "flex-start" | undefined;
    borderRadius?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    borderTopLeftRadius?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    borderTopRightRadius?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    borderBottomLeftRadius?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    borderBottomRightRadius?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    cursor?: "default" | "not-allowed" | "pointer" | undefined;
    display?: "none" | "flex" | "block" | "inline" | "inline-block" | "inline-flex" | undefined;
    position?: "static" | "fixed" | "absolute" | "relative" | "sticky" | undefined;
    textAlign?: "left" | "right" | "center" | undefined;
    flex?: "fixed" | "stretch" | undefined;
    flexBasis?: number | undefined;
    flexGrow?: number | undefined;
    flexShrink?: number | undefined;
    flexWrap?: "nowrap" | "wrap" | undefined;
    justifyContent?: "space-around" | "space-between" | "stretch" | "center" | "flex-end" | "flex-start" | undefined;
    justifySelf?: "space-around" | "space-between" | "stretch" | "center" | "flex-end" | "flex-start" | undefined;
    padding?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    paddingTop?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    paddingBottom?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    paddingLeft?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    paddingRight?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    margin?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    marginTop?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    marginBottom?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    marginLeft?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    marginRight?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    height?: "screen" | "full" | undefined;
    width?: "screen" | "full" | undefined;
    maxHeight?: "screen" | "full" | undefined;
    maxWidth?: "screen" | "full" | undefined;
    minHeight?: "screen" | "full" | undefined;
    minWidth?: "screen" | "full" | undefined;
    overflow?: "hidden" | "auto" | "visible" | "scroll" | undefined;
    overflowX?: "hidden" | "auto" | "visible" | "scroll" | undefined;
    overflowY?: "hidden" | "auto" | "visible" | "scroll" | undefined;
    overflowWrap?: "normal" | "breakWord" | undefined;
    textDecoration?: "none" | "line-through" | "underline" | undefined;
    textTransform?: "none" | "full-width" | "capitalize" | "full-size-kana" | "lowercase" | "uppercase" | undefined;
    userSelect?: "none" | "all" | "auto" | undefined;
    visibility?: "hidden" | "visible" | undefined;
    whiteSpace?: "normal" | "nowrap" | undefined;
    wordBreak?: "normal" | "break-word" | "break-all" | undefined;
    align?: "stretch" | "center" | "flex-end" | "flex-start" | undefined;
    btr?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    bbr?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    brr?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    blr?: "inherit" | "round" | "2" | "3" | "4" | "5" | "6" | "8" | "10" | "12" | "16" | "23" | undefined;
    p?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    px?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    py?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    pt?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    pr?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    pb?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    pl?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    m?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    mx?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    my?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    mt?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    mr?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    mb?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    ml?: "0" | "auto" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    ow?: "normal" | "breakWord" | undefined;
} & {
    flexDirection?: "column" | "column-reverse" | "row" | {
        readonly mobile?: "column" | "column-reverse" | "row" | undefined;
        readonly tablet?: "column" | "column-reverse" | "row" | undefined;
        readonly desktop?: "column" | "column-reverse" | "row" | undefined;
        readonly wide?: "column" | "column-reverse" | "row" | undefined;
    } | undefined;
    gap?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | {
        readonly mobile?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
        readonly tablet?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
        readonly desktop?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
        readonly wide?: "0" | "1" | "2" | "3" | "4" | "6" | "8" | "10" | "12" | "16" | "7" | "9" | "20" | "24" | "28" | "32" | "40" | undefined;
    } | undefined;
} & {
    children?: React.ReactNode;
} & Omit<React.AllHTMLAttributes<HTMLElement>, "color" | "height" | "width" | "className"> & {
    as?: React.ElementType<any> | undefined;
    cssClass?: ClassValue | ClassValue[];
    hiddenScroll?: boolean | undefined;
} & React.RefAttributes<unknown>>;
