import { RecipeVariants } from '@vanilla-extract/recipes';
export declare const shadows: {
    readonly grey: "inset 0px -1px 0px rgba(0, 0, 0, 0.1)";
    readonly primary: "inset 0px -1px 0px rgba(0, 0, 0, 0.32)";
    readonly neutral: `0 0 0 1px ${string} inset`;
    readonly n5: `0 0 0 1px ${string} inset`;
};
export declare const defaultSize = "small";
export declare const iconVariants: import("@vanilla-extract/recipes").RuntimeFn<{
    size: {
        xSmall: {
            fontSize: string;
            lineHeight: string;
            '::before': {
                content: string;
                marginBottom: string;
                display: string;
            };
            '::after': {
                content: string;
                marginTop: string;
                display: string;
            };
            height: number;
            width: number;
        };
        small: {
            fontSize: string;
            lineHeight: string;
            '::before': {
                content: string;
                marginBottom: string;
                display: string;
            };
            '::after': {
                content: string;
                marginTop: string;
                display: string;
            };
            height: number;
            width: number;
        };
        medium: {
            fontSize: string;
            lineHeight: string;
            '::before': {
                content: string;
                marginBottom: string;
                display: string;
            };
            '::after': {
                content: string;
                marginTop: string;
                display: string;
            };
            height: number;
            width: number;
        };
        large: {
            fontSize: string;
            lineHeight: string;
            '::before': {
                content: string;
                marginBottom: string;
                display: string;
            };
            '::after': {
                content: string;
                marginTop: string;
                display: string;
            };
            height: number;
            width: number;
        };
        xLarge: {
            fontSize: string;
            lineHeight: string;
            '::before': {
                content: string;
                marginBottom: string;
                display: string;
            };
            '::after': {
                content: string;
                marginTop: string;
                display: string;
            };
            height: number;
            width: number;
        };
    };
    emphasis: {
        high: {};
        medium: {};
        low: {};
    };
    kind: {
        primary: {
            color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        secondary: {
            color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        danger: {
            selectors: {
                '&:active': {
                    color: string;
                };
            };
        };
    };
}>;
export declare const variants: import("@vanilla-extract/recipes").RuntimeFn<{
    emphasis: {
        high: {};
        medium: {};
        low: {};
    };
    kind: {
        primary: {
            color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        secondary: {
            color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        danger: {
            background: string;
            color: string;
            boxShadow: "inset 0px -1px 0px rgba(0, 0, 0, 0.32)";
            selectors: {
                '&:hover': {
                    background: string;
                    color: string;
                };
                '&:active': {
                    background: string;
                    color: string;
                    boxShadow: "none";
                };
                '&[disabled], &[disabled]:hover': {
                    background: string;
                    color: string;
                    boxShadow: "none";
                };
            };
        };
    };
    size: {
        xSmall: (string | {
            height: number;
        })[];
        small: (string | {
            height: number;
        })[];
        medium: (string | {
            height: number;
        })[];
    };
}>;
export type Variants = RecipeVariants<typeof variants>;
