import React from 'react';
import { ClassValue } from 'clsx';
type Option = {
    key: string;
    render: React.ReactNode;
};
type Props<T extends string | string[]> = {
    label: string;
    icon?: React.ReactNode;
    value: T | undefined;
    valueRender: React.ReactNode;
    options: Option[] | undefined;
    onChange: (value: T) => void;
    onChangeQuery?: (value: string) => void;
    queryPlaceholder?: string;
    cssClass?: ClassValue | ClassValue[];
    creatableRender?: (key: string) => React.ReactNode | undefined;
    defaultOpen?: boolean;
    disabled?: boolean;
    loadingRender?: React.ReactNode;
};
export declare const ComboboxSelect: <T extends string | string[]>({ label, icon, value, valueRender, options, onChange, onChangeQuery, queryPlaceholder, cssClass, creatableRender, defaultOpen, disabled, loadingRender, }: Props<T>) => React.JSX.Element;
export declare const ComboboxSelect_test: {
    (): React.JSX.Element;
    run({ user, screen, captureScreenshot }: {
        user: any;
        screen: any;
        captureScreenshot: any;
    }): Promise<void>;
};
export {};
