import React from 'react';
import { MenuButtonProps } from '../Menu/Menu';
export { defaultPresets, getNow, resetRelativeDates } from './utils';
export type Preset = {
    label: string;
    startDate: Date;
};
/**
 * Takes in a time string in the format HH:mm aa or HH:mmaa and returns	an object with the hour, minute, time of day, and 24 hour time
 * @param timeString
 * @returns {	hour: number, minute: number, timeOfDay: string, hour24: number}
 */
export declare const getTimeInfo: (timeString: string) => {
    hour: string;
    minute: number;
    timeOfDay: string;
    hour24: number;
};
export declare const getLabel: ({ selectedDates, presets, }: {
    selectedDates: Date[];
    presets: Preset[];
}) => string;
type Props = {
    selectedDates: Date[];
    onDatesChange: (selectedDates: Date[]) => void;
    presets: Preset[];
    minDate: Date;
    noCustom?: boolean;
} & Omit<MenuButtonProps, 'ref' | 'store'>;
export declare const PreviousDateRangePicker: React.FC<Props>;
