import { RecipeVariants } from '@vanilla-extract/recipes';
export declare const inputVariants: import("@vanilla-extract/recipes").RuntimeFn<{
    truncate: {
        true: {
            textOverflow: "ellipsis";
            overflow: "hidden";
            whiteSpace: "nowrap";
        };
        false: {};
    };
    size: {
        xSmall: {
            height: number;
        };
        small: {
            height: number;
        };
    };
    collapsed: {
        true: {
            width: number;
            padding: number;
            border: "none";
            selectors: {
                '&:focus, &:active, &:placeholder-shown:hover': {
                    border: "none";
                };
            };
        };
        false: {};
    };
    outline: {
        true: {
            borderRadius: number;
            padding: "4px 6px";
            border: string;
            selectors: {
                '&:focus, &:active': {
                    border: string;
                };
                '&:placeholder-shown:hover': {
                    background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    border: string;
                };
            };
        };
        false: {
            padding: number;
            border: "none";
        };
    };
    rounded: {
        first: {
            borderRadius: "6px 6px 0 0";
        };
        middle: {
            borderRadius: number;
        };
        last: {
            borderRadius: "0 0 6px 6px";
        };
        true: {
            borderRadius: number;
        };
    };
}>;
export type Variants = RecipeVariants<typeof inputVariants>;
export declare const select: string;
