import * as Ariakit from '@ariakit/react';
import React from 'react';
import { ButtonProps as ButtonProps } from '../Button/Button';
import { Props as TagProps } from '../Tag/Tag';
import { BoxProps } from '../Box/Box';
export declare const usePopover: () => Ariakit.PopoverStore;
export type PopoverProps = React.PropsWithChildren<Partial<Ariakit.PopoverStoreProps> & {
    store?: Ariakit.PopoverStore;
}>;
type PopoverComponent = React.FC<PopoverProps> & {
    ButtonTrigger: typeof ButtonTrigger;
    TagTrigger: typeof TagTrigger;
    BoxTrigger: typeof BoxTrigger;
    Content: typeof Content;
    usePopoverStore: typeof Ariakit.usePopoverStore;
};
export declare const Popover: PopoverComponent;
declare const ButtonTrigger: React.FC<React.PropsWithChildren<ButtonProps>>;
declare const TagTrigger: React.FC<React.PropsWithChildren<TagProps>>;
declare const BoxTrigger: React.FC<React.PropsWithChildren<BoxProps>>;
declare const Content: React.FC<React.PropsWithChildren<Omit<Ariakit.PopoverOptions<'div'>, 'store'>> & {
    className?: string;
}>;
export {};
