import { RecipeVariants } from '@vanilla-extract/recipes';
export declare const variants: import("@vanilla-extract/recipes").RuntimeFn<{
    size: {
        xxSmall: {
            height: number;
            width: number;
        };
        xSmall: {
            height: number;
            width: number;
        };
        small: {
            height: number;
            width: number;
        };
        medium: {
            height: number;
            width: number;
        };
    };
    variant: {
        checked: {
            background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            border: number;
            color: string;
            boxShadow: "inset 0px -1px 0px rgba(0, 0, 0, 0.32)";
            selectors: {
                '&:hover': {
                    background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
                '&:active': {
                    background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
                '&:disabled': {
                    background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
            };
        };
        unchecked: {
            background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            border: string;
            color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            selectors: {
                '&:hover': {
                    background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    border: string;
                    color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
                '&:active': {
                    background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    border: string;
                    color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
                '&:disabled': {
                    background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    border: string;
                    color: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
            };
        };
    };
}>;
export type Variants = RecipeVariants<typeof variants>;
