import React from 'react';
import { Body } from './Body/Body';
import { Cell } from './Cell/Cell';
import { Discoverable } from './Discoverable/Discoverable';
import { FullRow } from './FullRow/FullRow';
import { Head } from './Head/Head';
import { Header } from './Header/Header';
import { Row } from './Row/Row';
import { Search } from './Search/Search';
import { BoxProps } from '../Box/Box';
type Props = {
    children: React.ReactNode;
    className?: string;
    height?: BoxProps['height'];
    noBorder?: boolean;
    withSearch?: boolean;
};
type TableWithComponents = React.FC<Props> & {
    Body: typeof Body;
    Cell: typeof Cell;
    Discoverable: typeof Discoverable;
    FullRow: typeof FullRow;
    Head: typeof Head;
    Header: typeof Header;
    Row: typeof Row;
    Search: typeof Search;
};
declare const Table: TableWithComponents;
export { Table };
