import React from 'react';
import { ButtonProps } from '@ariakit/react';
import { Props as TextProps } from '../Text/Text';
import * as styles from './styles.css';
import { IconProps } from '../icons';
import { ClassValue } from 'clsx';
export type Props = ButtonProps & styles.Variants & {
    /** An alias for iconLeft as a convenience for icon-only tags. */
    icon?: React.ReactElement<IconProps>;
    iconLeft?: React.ReactElement<IconProps>;
    iconRight?: React.ReactElement<IconProps>;
    className?: ClassValue | ClassValue[];
    lines?: TextProps['lines'];
    wordBreak?: TextProps['break'];
    onIconLeftClick?: () => void;
    onIconRightClick?: () => void;
};
export declare const Tag: React.FC<React.PropsWithChildren<Props>>;
