import React from 'react';
import { BoxProps } from '../Box/Box';
import { Props as TruncateProps } from '../private/Truncate/Truncate';
import * as styles from './styles.css';
export type Props = React.PropsWithChildren & styles.Variants & {
    as?: BoxProps['as'];
    color?: BoxProps['color'];
    decoration?: BoxProps['textDecoration'];
    display?: BoxProps['display'];
    lines?: TruncateProps['lines'];
    transform?: BoxProps['textTransform'];
    userSelect?: BoxProps['userSelect'];
    cssClass?: BoxProps['cssClass'];
    title?: string;
    whiteSpace?: BoxProps['whiteSpace'];
    wrap?: BoxProps['overflowWrap'];
};
export declare const Text: React.ForwardRefExoticComponent<{
    children?: React.ReactNode;
} & {
    align?: "left" | "right" | "center" | undefined;
    family?: "monospace" | "body" | "heading" | undefined;
    size?: "small" | "medium" | "large" | "xSmall" | "xxSmall" | undefined;
    weight?: "bold" | "medium" | "regular" | undefined;
    case?: "capital" | "upper" | "lower" | undefined;
    break?: "none" | "normal" | "all" | "word" | undefined;
} & {
    as?: BoxProps['as'];
    color?: BoxProps['color'];
    decoration?: BoxProps['textDecoration'];
    display?: BoxProps['display'];
    lines?: TruncateProps['lines'];
    transform?: BoxProps['textTransform'];
    userSelect?: BoxProps['userSelect'];
    cssClass?: BoxProps['cssClass'];
    title?: string | undefined;
    whiteSpace?: BoxProps['whiteSpace'];
    wrap?: BoxProps['overflowWrap'];
} & React.RefAttributes<unknown>>;
