import { BoxProps } from '../components/Box/Box';
type BorderKeys = 'none' | 'primary' | 'primaryHover' | 'primaryPressed' | 'primaryDisabled' | 'error' | 'secondary' | 'secondaryHover' | 'secondaryPressed' | 'secondaryDisabled' | 'secondaryInner' | 'divider' | 'dividerWeak' | 'dividerStrong';
type Borders = Record<BorderKeys, string>;
export declare const borderWidths: {
    readonly small: "1px";
    readonly medium: "2px";
    readonly large: "4px";
};
export declare const borders: Borders;
export interface BorderProps {
    border?: BoxProps['border'];
    borderTop?: BoxProps['border'];
    borderRight?: BoxProps['border'];
    borderBottom?: BoxProps['border'];
    borderLeft?: BoxProps['border'];
}
export declare const borderRadii: {
    readonly '2': "2px";
    readonly '3': "3px";
    readonly '4': "4px";
    readonly '5': "5px";
    readonly '6': "6px";
    readonly '8': "8px";
    readonly '10': "10px";
    readonly '12': "12px";
    readonly '16': "16px";
    readonly '23': "23px";
    readonly round: "999px";
    readonly inherit: "inherit";
};
export {};
