export declare const breakpoints: {
    readonly mobile: "0px";
    readonly tablet: "740px";
    readonly desktop: "992px";
    readonly wide: "1200px";
};
export type Breakpoint = keyof typeof breakpoints;
export declare const breakpointNames: readonly ("mobile" | "tablet" | "desktop" | "wide")[];
export declare const mediaQueries: {
    readonly mobile: {};
    readonly tablet: {
        readonly '@media': "screen and (min-width: 740px)";
    };
    readonly desktop: {
        readonly '@media': "screen and (min-width: 992px)";
    };
    readonly wide: {
        readonly '@media': "screen and (min-width: 1200px)";
    };
};
