export declare const vars: {
    readonly breakpoint: {
        readonly mobile: "0px";
        readonly tablet: "740px";
        readonly desktop: "992px";
        readonly wide: "1200px";
    };
    readonly color: {
        inherit: string;
        white: string;
        black: string;
        n1: string;
        n2: string;
        n3: string;
        n4: string;
        n5: string;
        n6: string;
        n7: string;
        n8: string;
        n9: string;
        n10: string;
        n11: string;
        n12: string;
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
        p6: string;
        p7: string;
        p8: string;
        p9: string;
        p10: string;
        p11: string;
        p12: string;
        r1: string;
        r2: string;
        r3: string;
        r4: string;
        r5: string;
        r6: string;
        r7: string;
        r8: string;
        r9: string;
        r10: string;
        r11: string;
        r12: string;
        g1: string;
        g2: string;
        g3: string;
        g4: string;
        g5: string;
        g6: string;
        g7: string;
        g8: string;
        g9: string;
        g10: string;
        g11: string;
        g12: string;
        y1: string;
        y2: string;
        y3: string;
        y4: string;
        y5: string;
        y6: string;
        y7: string;
        y8: string;
        y9: string;
        y10: string;
        y11: string;
        y12: string;
        lb100: string;
        lb300: string;
        lb500: string;
        lb700: string;
        g100: string;
        g500: string;
        red500: string;
        orange500: string;
        teal500: string;
    };
    readonly space: {
        readonly '0': "0";
        readonly '1': "1px";
        readonly '3': "3px";
        readonly '2': "2px";
        readonly '4': "4px";
        readonly '6': "6px";
        readonly '7': "7px";
        readonly '8': "8px";
        readonly '9': "9px";
        readonly '10': "10px";
        readonly '12': "12px";
        readonly '16': "16px";
        readonly '20': "20px";
        readonly '24': "24px";
        readonly '28': "28px";
        readonly '32': "32px";
        readonly '40': "40px";
    };
    readonly theme: {
        static: {
            surface: {
                nested: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                default: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                raised: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                elevated: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                scrim: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                sentiment: {
                    good: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    caution: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    bad: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    informative: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    neutral: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
            };
            content: {
                strong: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                default: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                moderate: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                weak: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                sentiment: {
                    good: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    caution: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    bad: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    informative: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
            };
            divider: {
                strong: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                default: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                weak: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
        };
        interactive: {
            fill: {
                primary: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    content: {
                        onEnabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        onDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    };
                };
                secondary: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    content: {
                        onEnabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        onDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    };
                };
                bad: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    content: {
                        onEnabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        onDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    };
                };
                caution: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    content: {
                        onEnabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        onDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    };
                };
                positive: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    content: {
                        onEnabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        onDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    };
                };
            };
            outline: {
                primary: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
                secondary: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
            };
            overlay: {
                primary: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                };
                secondary: {
                    enabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    pressed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    disabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    selected: {
                        default: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                        hover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                    };
                };
            };
        };
    };
    readonly margin: {
        readonly '0': "0";
        readonly '1': "1px";
        readonly '3': "3px";
        readonly '2': "2px";
        readonly '4': "4px";
        readonly '6': "6px";
        readonly '7': "7px";
        readonly '8': "8px";
        readonly '9': "9px";
        readonly '10': "10px";
        readonly '12': "12px";
        readonly '16': "16px";
        readonly '20': "20px";
        readonly '24': "24px";
        readonly '28': "28px";
        readonly '32': "32px";
        readonly '40': "40px";
        readonly auto: "auto";
    };
    readonly padding: {
        readonly '0': "0";
        readonly '1': "1px";
        readonly '3': "3px";
        readonly '2': "2px";
        readonly '4': "4px";
        readonly '6': "6px";
        readonly '7': "7px";
        readonly '8': "8px";
        readonly '9': "9px";
        readonly '10': "10px";
        readonly '12': "12px";
        readonly '16': "16px";
        readonly '20': "20px";
        readonly '24': "24px";
        readonly '28': "28px";
        readonly '32': "32px";
        readonly '40': "40px";
        readonly auto: "auto";
        readonly inherit: "inherit";
    };
    readonly border: {
        none: string;
        primary: string;
        primaryHover: string;
        primaryPressed: string;
        primaryDisabled: string;
        error: string;
        secondary: string;
        secondaryHover: string;
        secondaryPressed: string;
        secondaryDisabled: string;
        secondaryInner: string;
        divider: string;
        dividerWeak: string;
        dividerStrong: string;
    };
    readonly borderRadius: {
        readonly '2': "2px";
        readonly '3': "3px";
        readonly '4': "4px";
        readonly '5': "5px";
        readonly '6': "6px";
        readonly '8': "8px";
        readonly '10': "10px";
        readonly '12': "12px";
        readonly '16': "16px";
        readonly '23': "23px";
        readonly round: "999px";
        readonly inherit: "inherit";
    };
    readonly borderWidth: {
        readonly small: "1px";
        readonly medium: "2px";
        readonly large: "4px";
    };
    readonly borderStyle: {
        readonly standard: "solid";
    };
    readonly transforms: {
        readonly touchable: "scale(0.97)";
    };
    readonly transitions: {
        readonly fast: "transform .125s ease, opacity .125s ease";
        readonly touchable: "transform 0.2s cubic-bezier(0.02, 1.505, 0.745, 1.235)";
    };
    readonly shadows: {
        readonly small: "0 2px 8px -2px rgba(59, 59, 59, 0.08)";
        readonly medium: "0 6px 12px -2px rgba(59, 59, 59, 0.12)";
        readonly innerPrimary: "0 -1px 0 0 rgba(0, 0, 0, 0.32) inset";
        readonly innerSecondary: "0 -1px 0 0 rgba(0, 0, 0, 0.1) inset";
    };
    readonly overflow: readonly ["auto", "hidden", "visible", "scroll"];
    readonly zIndex: {
        readonly tooltip: 10;
    };
};
